Transcriptions

Получить статус транскрипции

GET
/v2/transcriptions/{id}

Authorization

X-Signature<token>

HMAC-SHA256 подпись канонической строки. . Обязательный заголовок

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/transcriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "pending",
    "progress": 88,
    "duration_seconds": 125.5,
    "duration_minutes": 2.09,
    "minutes_billed": 3,
    "cost": 2.1,
    "priority_type": "lightning",
    "filename": "string",
    "file_size": 1033342,
    "source_type": "upload",
    "language": "string",
    "normalization_enabled": false,
    "results": {
      "text": "string",
      "json": "string",
      "pdf": "string"
    },
    "recognized_speakers": [
      {
        "id": "SPEAKER_01",
        "name": "Иван — менеджер"
      }
    ],
    "ai_analysis": {
      "model": "string",
      "prompt": "string",
      "text": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "started_at": "2019-08-24T14:15:22Z",
    "completed_at": "2019-08-24T14:15:22Z",
    "billed_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "VALIDATION_ERROR",
  "message": "Данные некорректны.",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}